package com.bonus.system.service.impl;

import com.bonus.system.api.domain.SysTemplateMenu;
import com.bonus.system.mapper.SysTemplateMenuMapper;
import com.bonus.system.service.ISysTemplateMenuService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import javax.annotation.Resource;
import java.util.List;

/**
 * 系统模板菜单表(SysTempMenu)表服务实现类
 *
 * @author bonus
 * @since 2025-01-05
 */
@Service("sysTempMenuService")
public class SysTemplateMenuServiceImpl implements ISysTemplateMenuService {
    @Resource
    private SysTemplateMenuMapper sysTemplateMenuMapper;


    /**
     * 查询多条数据
     *
     * @param
     * @param
     * @return 对象列表
     */
    @Override
    public List<Long> queryMenuIdByTemplateId(Long tempId) {
        return this.sysTemplateMenuMapper.queryMenuIdByTemplateId(tempId);
    }

    /**
     * 新增数据
     *
     * @param sysTemplateMenu
     * @return 实例对象
     */
    @Override
    public SysTemplateMenu insert(SysTemplateMenu sysTemplateMenu) {
        this.sysTemplateMenuMapper.insert(sysTemplateMenu);
        return sysTemplateMenu;
    }

    public int batchInsert(List<SysTemplateMenu> list) {
        int result = 0;
        if (!CollectionUtils.isEmpty(list)) {
            sysTemplateMenuMapper.deleteByTempId(list.get(0).getTempId());
            result = sysTemplateMenuMapper.batchInsert(list);
        }
        return result;
    }

    /**
     * 修改数据
     *
     * @param sysTemplateMenu 实例对象
     * @return 实例对象
     */
    @Override
    public SysTemplateMenu update(SysTemplateMenu sysTemplateMenu) {
        this.sysTemplateMenuMapper.update(sysTemplateMenu);
        return null;
    }
}